package com.inkasso.factoring.system.mail.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.util.Date;

@TableName("sys_email")
public class SystemEmail {

    @TableId(type = IdType.AUTO)
    private Long id;

    @TableField
    @JSONField(format="yyyy-MM-dd hh:mm:ss")
    private Date gmtCreate;

    @TableField
    private String userCreate;

    @TableField
    @JSONField(format="yyyy-MM-dd hh:mm:ss")
    private Date gmtModified;

    @TableField
    private String userModified;

    @TableField
    private String title;

    @TableField
    private String receiveUser;

    @TableField
    private String chaoSongUser;

    @TableField
    private String secretUser;

    @TableField
    private String content;

    @TableField
    private Integer status;

    @TableField
    private String source;

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getUserCreate() {
        return userCreate;
    }

    public void setUserCreate(String userCreate) {
        this.userCreate = userCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getUserModified() {
        return userModified;
    }

    public void setUserModified(String userModified) {
        this.userModified = userModified;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getChaoSongUser() {
        return chaoSongUser;
    }

    public void setChaoSongUser(String chaoSongUser) {
        this.chaoSongUser = chaoSongUser;
    }

    public String getSecretUser() {
        return secretUser;
    }

    public void setSecretUser(String secretUser) {
        this.secretUser = secretUser;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getReceiveUser() {
        return receiveUser;
    }

    public void setReceiveUser(String receiveUser) {
        this.receiveUser = receiveUser;
    }
}
